BLK_REQUEUE_REQUEST(9)

NAME
blk_requeue_request - put a request back on queue

SYNOPSIS

void blk_requeue_request (request_queue_t * q, struct request * rq);

ARGUMENTS

q   request queue where request should be inserted

rq  request to be inserted

DESCRIPTION

Drivers often keep queueing requests until the hardware cannot accept more, when that condition happens we need to put the request back on the queue. Must be called with queue lock held.